# $Revision: 1.29 $, $Date: 2007/02/12 22:09:14 $
%define	sg_utils_ver	1.02
%define	scsidev_ver	2.35
%define	scsiinfo_ver	1.7
Summary:	SCSI utilities
Summary(pl.UTF-8):	Narzędzia do SCSI
Name:		scsiutils
Version:	%{scsiinfo_ver}.%{scsidev_ver}.%{sg_utils_ver}
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://tsx-11.mit.edu/pub/linux/ALPHA/scsi/scsiinfo-%{scsiinfo_ver}.tar.gz
# Source0-md5:	1d7a9a42e84430d14b2fbfee342a950c
Source1:	http://www.torque.net/sg/p/sg_utils-%{sg_utils_ver}.tgz
# Source1-md5:	127860ff59d9cff0faf3929494c413d3
Source2:	http://www.garloff.de/kurt/linux/scsidev/scsidev-%{scsidev_ver}.tar.gz
# Source2-md5:	1ef22cb2ae19c65ae644b34202b7995e
Source3:	http://www.garloff.de/kurt/linux/rescan-scsi-bus.sh
# Source3-md5:	794f4c8f35a6036b8ae1e1310f46353b
Patch0:		scsiinfo-glibc.patch
Patch1:		scsiinfo-makefile.patch
Patch2:		scsiinfo-misc.patch
Patch3:		scsiinfo-tmpdir.patch
Patch4:		sg_utils-makefile.patch
Patch5:		scsidev-makefile.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tk-devel
Provides:	scsidev
Provides:	scsiinfo
Provides:	sg_utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
A collection of useful tools for users of SCSI systems:
- scsiinfo: Allows to access some internals of SCSI devices, such as
  defect lists or the so-called mode pages, which control e.g. the
  behaviour of the device's cache or error management.
- scsiformat: A low-level formatting tool for SCSI disks.
- scsidev: If your SCSI config changes from time to time, e.g. because
  you have external devices which are not always switched on or
  connected then the kernel's mapping to the device nodes is not always
  the way you would expect it. This program creates a mapping which
  remains unchanged in most of these cases.
- rescan-scsi-bus.sh: Script that scans the SCSI bus and dynamicaaly
  adds (and optionally removes) devices.
- sg_utils: A colection of small useful tools, that are based on the
  sg interface and give info on the SCSI bus, copy data... Warning: Some
  of these tools access the internals of your system and a wrong usage
  of them may render your system inoperational.

Note: scsiinfo comes with a graphical user interface which can be
found in the scsiutils-tk package.

%description -l pl.UTF-8
Zestaw użytecznych narzędzi dla użytkowników systemów SCSI:
- scsiinfo: pozwala na dostęp do niektórych informacji wewnętrznych
  SCSI, takich jak listy defektów, strony trybów (kontrolujących
  zachowanie cache urządzenia i obsługę błędów).
- scsiformat: narzędzie do niskopoziomowego formatowania dysków SCSI.
- scsidev: jeżeli Twoja konfiguracja SCSI zmienia się, np. ponieważ
  masz urządzenia zewnętrzne nie zawsze podłączone lub włączone,
  mapowania jądra dotyczące urządzeń SCSI nie są takie same. Ten program
  tworzy mapowanie nie zmieniające się w większości przypadków.
- rescan-scsi-bus.sh: skrypt skanujący szynę SCSI i dynamicznie
  dodający (opcjonalnie także usuwający) urządzenia.
- sg_utils: zestaw małych narzędzi bazujących na interfejsie sg
  udostępniających informacje o szynie SCSI, kopiujących dane... Uwaga:
  część z nich używa dostępu do wnętrzności systemu i złe ich użycie
  może uczynić system niedziałającym.

Dostępny jest interfejs graficzny do scsiinfo - znajduje się w
pakiecie scsiutils-tk.

%package tk
Summary:	Tk graphical frontend for scsiinfo
Summary(pl.UTF-8):	Graficzny frontend do scsiinfo oparty o Tk
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	tk

%description tk
For visualization and manipulation of SCSI mode pages, scsiinfo comes
with graphical interface.

%description tk -l pl.UTF-8
Graficzny interfejs do scsiinfo - do wizualizacji i manipulowania
stronami trybów SCSI.

%prep
%setup -q -c -a1 -a2
cd scsiinfo-%{scsiinfo_ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cd ../sg_utils-%{sg_utils_ver}
%patch4 -p1
cd ../scsidev-%{scsidev_ver}
%patch5 -p1

%build
cd scsiinfo-%{scsiinfo_ver}
%{__make} clean
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OPT="%{rpmcflags}"

cd ../scsidev-%{scsidev_ver}
%{__aclocal}
%{__autoconf}
%configure \
	CFLAGS="%{rpmcflags} %{rpmldflags}"
%{__make} \
	CC="%{__cc}"

cd ../sg_utils-%{sg_utils_ver}
mv -f README README.sg
%{__make} \
	CC="%{__cc}" \
	LD="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OPT="%{rpmcflags}" \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sbindir},%{_bindir},%{_ulibdir}/scsi,%{_mandir}/man8}

%{__make} -C scsiinfo-%{scsiinfo_ver} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C scsidev-%{scsidev_ver} install \
	DESTDIR=$RPM_BUILD_ROOT \
	bindir=/sbin

install %{SOURCE3} $RPM_BUILD_ROOT/sbin/rescan-scsi-bus

%{__make} -C sg_utils-%{sg_utils_ver} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

gunzip $RPM_BUILD_ROOT%{_mandir}/man8/*.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc scsiinfo-%{scsiinfo_ver}/{0-CHANGES,0-README.first,0-TODO}
%doc scsidev-%{scsidev_ver}/{boot.diff,CHANGES,README,TODO}
%doc sg_utils-%{sg_utils_ver}/{README.sg,README.sg_start,CHANGELOG}
%attr(755,root,root) /sbin/scsidev
%attr(755,root,root) /sbin/rescan-scsi-bus
%attr(755,root,root) %{_sbindir}/sgcheck
%attr(755,root,root) %{_bindir}/scsiformat
%attr(755,root,root) %{_bindir}/scsiinfo
%attr(755,root,root) %{_bindir}/scsi_inquiry
%attr(755,root,root) %{_bindir}/sginfo
%attr(755,root,root) %{_bindir}/sgp_dd
%attr(755,root,root) %{_bindir}/sg_dd
%attr(755,root,root) %{_bindir}/sg_debug
%attr(755,root,root) %{_bindir}/sg_inq
%attr(755,root,root) %{_bindir}/sg_map
%attr(755,root,root) %{_bindir}/sg_rbuf
%attr(755,root,root) %{_bindir}/sg_read
%attr(755,root,root) %{_bindir}/sg_readcap
%attr(755,root,root) %{_bindir}/sg_runt_ex
%attr(755,root,root) %{_bindir}/sg_scan
%attr(755,root,root) %{_bindir}/sg_simple1
%attr(755,root,root) %{_bindir}/sg_simple2
%attr(755,root,root) %{_bindir}/sg_start
%attr(755,root,root) %{_bindir}/sg_test_rwbuf
%attr(755,root,root) %{_bindir}/sg_turs
%attr(755,root,root) %{_bindir}/sg_whoami
%{_mandir}/man8/scsidev.8*
%{_mandir}/man8/scsiformat.8*
%{_mandir}/man8/scsiinfo.8*
%{_mandir}/man8/sg_dd.8*
%{_mandir}/man8/sg_map.8*
%{_mandir}/man8/sg_rbuf.8*
%{_mandir}/man8/sg_read.8*
%{_mandir}/man8/sgp_dd.8*
#%attr(755,root,root) %{_bindir}/sg_poll
#%attr(755,root,root) %{_bindir}/sg_dd512
#%attr(755,root,root) %{_bindir}/sgq_dd512
#%attr(755,root,root) %{_bindir}/sg_dd2048
#%attr(755,root,root) %{_bindir}/sg_tst_med

%files tk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/scsi-config
%attr(755,root,root) %{_bindir}/tk_scsiformat
%dir %{_ulibdir}/scsi
%attr(755,root,root) %{_ulibdir}/scsi/cache
%attr(755,root,root) %{_ulibdir}/scsi/control
%attr(755,root,root) %{_ulibdir}/scsi/disconnect
%attr(755,root,root) %{_ulibdir}/scsi/error
%attr(755,root,root) %{_ulibdir}/scsi/format
%{_ulibdir}/scsi/generic
%attr(755,root,root) %{_ulibdir}/scsi/inquiry
%attr(755,root,root) %{_ulibdir}/scsi/notch
%attr(755,root,root) %{_ulibdir}/scsi/overview
%attr(755,root,root) %{_ulibdir}/scsi/peripheral
%attr(755,root,root) %{_ulibdir}/scsi/rigid
%attr(755,root,root) %{_ulibdir}/scsi/save-changes
%attr(755,root,root) %{_ulibdir}/scsi/save-file
%attr(755,root,root) %{_ulibdir}/scsi/tworands
%attr(755,root,root) %{_ulibdir}/scsi/verify
%{_mandir}/man8/scsi-config.8*
%{_mandir}/man8/tk_scsiformat.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scsiutils.spec,v $
Revision 1.29  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.27  2006/08/06 13:43:15  sparky
- use rpmldflags

Revision 1.26  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.25  2006/02/26 19:09:29  sparky
- use original version

Revision 1.24  2006/02/26 18:54:16  sparky
- pass CC="%{__cc}"

Revision 1.23  2005/01/03 23:23:21  paszczus
- release 1

Revision 1.22  2005/01/03 23:19:40  paszczus
- updated sg_utils to 1.02
- updated scsidev_ver to 2.35
- updated scsidev-makefile.patch
- added one manpage
- STBR

Revision 1.21  2004/05/06 21:09:42  qboosh
- use ulibdir (fixes build on amd64), release 4

Revision 1.20  2004/04/26 18:55:20  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.19  2003/10/26 12:14:08  ankry
- Source3 moved to CVS

Revision 1.18  2003/10/26 12:06:12  undefine
- release 2, new rescan-scsi-bus.sh

Revision 1.17  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.16  2003/05/28 13:01:49  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:26:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/17 21:11:01  ankry
- remove unnecessary "-n" option to %changelog

Revision 1.13  2002/11/30 23:00:27  juandon
- new %doc

Revision 1.12  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/05/21 23:14:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:53  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/12 23:51:14  blues
- some macros used
- sg-utils 0.97 (not some crazy snap)
- patches: one obsolete removed, one updated
- install updated
  STBR

Revision 1.6  2001/10/03 07:49:26  qboosh
- added Source0 URL

Revision 1.5  2001/10/01 09:33:34  qboosh
- pl descriptions, BuildRequires: autoconf,automake

Revision 1.4  2001/09/29 21:25:17  blues
- release 2
- ac2.5 ready

Revision 1.3  2001/05/02 21:51:28  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.2  2000/12/28 15:20:33  baggins
- buildrequires tk-devel

Revision 1.1  2000/08/07 23:13:09  baggins
- initial revision

* Fri Mar 03 2000 - garloff@suse.de
- Initial creation of package, containing
  * scsiinfo-1.7
  * scsiformat
  * scsidev-2.10
  * rescan-scsi-bus.sh
  * sg_utils000207
